"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContextMiddlewareManager = void 0;
class ContextMiddlewareManager extends Array {
    insertFirst(middleware) {
        if (Array.isArray(middleware)) {
            this.unshift(...middleware);
        }
        else {
            this.unshift(middleware);
        }
    }
    insertBefore(middleware, idxOrBeforeMiddleware) {
        if (typeof idxOrBeforeMiddleware !== 'number') {
            idxOrBeforeMiddleware = this.findItemIndex(idxOrBeforeMiddleware);
        }
        if (Array.isArray(middleware)) {
            this.splice(idxOrBeforeMiddleware, 0, ...middleware);
        }
        else {
            this.splice(idxOrBeforeMiddleware, 0, middleware);
        }
    }
    insertAfter(middleware, idxOrAfterMiddleware) {
        if (typeof idxOrAfterMiddleware !== 'number') {
            idxOrAfterMiddleware = this.findItemIndex(idxOrAfterMiddleware);
        }
        if (Array.isArray(middleware)) {
            this.splice(idxOrAfterMiddleware + 1, 0, ...middleware);
        }
        else {
            this.splice(idxOrAfterMiddleware + 1, 0, middleware);
        }
    }
    insertLast(middleware) {
        if (Array.isArray(middleware)) {
            this.push(...middleware);
        }
        else {
            this.push(middleware);
        }
    }
    findItemIndex(middleware) {
        return this.findIndex(item => item === middleware);
    }
}
exports.ContextMiddlewareManager = ContextMiddlewareManager;
//# sourceMappingURL=middlewareManager.js.map