/**
 * wrap controller string to middleware function
 * @param controllerMapping like FooController.index
 * @param routeArgsInfo
 * @param routerResponseData
 */
import { MidwayFrameworkType } from '@midwayjs/decorator';
import { IMidwayContainer, RouterInfo } from '../index';
import { ILogger } from '@midwayjs/logger';
export declare abstract class WebControllerGenerator<Router extends {
    use: (...args: any[]) => void;
}> {
    readonly applicationContext: IMidwayContainer;
    readonly frameworkType: MidwayFrameworkType;
    readonly logger?: ILogger;
    protected constructor(applicationContext: IMidwayContainer, frameworkType: MidwayFrameworkType, logger?: ILogger);
    /**
     * wrap controller string to middleware function
     * @param routeInfo
     */
    generateKoaController(routeInfo: RouterInfo): (ctx: any, next: any) => Promise<void>;
    loadMidwayController(globalPrefix: string, routerHandler?: (newRouter: Router) => void): Promise<void>;
    abstract createRouter(routerOptions: any): Router;
    abstract generateController(routeInfo: RouterInfo): any;
    protected handlerWebMiddleware(middlewares: any[], handlerCallback: (middlewareImpl: any) => void): Promise<void>;
}
//# sourceMappingURL=webGenerator.d.ts.map