import { MidwayError } from './base';
export declare class HttpError extends MidwayError {
    status: number;
    constructor(response: any, status: any);
}
export declare class BadRequestError extends HttpError {
    constructor(response: any);
}
export declare class UnauthorizedError extends HttpError {
}
export declare class NotFoundError extends HttpError {
}
export declare class ForbiddenError extends HttpError {
}
export declare class NotAcceptableError extends HttpError {
}
export declare class RequestTimeoutError extends HttpError {
}
export declare class ConflictError extends HttpError {
}
export declare class GoneError extends HttpError {
}
export declare class PayloadTooLargeError extends HttpError {
}
export declare class UnsupportedMediaTypeError extends HttpError {
}
export declare class UnprocessableError extends HttpError {
}
export declare class InternalServerErrorError extends HttpError {
}
declare class NotImplementedError extends HttpError {
}
export declare class BadGatewayError extends HttpError {
}
export declare class ServiceUnavailableError extends HttpError {
}
export declare class GatewayTimeoutError extends HttpError {
}
export declare const http: {
    BadRequestError: typeof BadRequestError;
    UnauthorizedError: typeof UnauthorizedError;
    NotFoundError: typeof NotFoundError;
    ForbiddenError: typeof ForbiddenError;
    NotAcceptableError: typeof NotAcceptableError;
    RequestTimeoutError: typeof RequestTimeoutError;
    ConflictError: typeof ConflictError;
    GoneError: typeof GoneError;
    PayloadTooLargeError: typeof PayloadTooLargeError;
    UnsupportedMediaTypeError: typeof UnsupportedMediaTypeError;
    UnprocessableError: typeof UnprocessableError;
    InternalServerErrorError: typeof InternalServerErrorError;
    NotImplementedError: typeof NotImplementedError;
    BadGatewayError: typeof BadGatewayError;
    ServiceUnavailableError: typeof ServiceUnavailableError;
    GatewayTimeoutError: typeof GatewayTimeoutError;
};
export {};
//# sourceMappingURL=http.d.ts.map