"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.http = exports.GatewayTimeoutError = exports.ServiceUnavailableError = exports.BadGatewayError = exports.InternalServerErrorError = exports.UnprocessableError = exports.UnsupportedMediaTypeError = exports.PayloadTooLargeError = exports.GoneError = exports.ConflictError = exports.RequestTimeoutError = exports.NotAcceptableError = exports.ForbiddenError = exports.NotFoundError = exports.UnauthorizedError = exports.BadRequestError = exports.HttpError = void 0;
const code_1 = require("./code");
const base_1 = require("./base");
class HttpError extends base_1.MidwayError {
    constructor(response, status) {
        super(typeof response === 'string' ? response : response.message);
        this.status = status;
        this.name = this.constructor.name;
    }
}
exports.HttpError = HttpError;
class BadRequestError extends HttpError {
    constructor(response) {
        super(response, code_1.HttpStatus.BAD_REQUEST);
    }
}
exports.BadRequestError = BadRequestError;
class UnauthorizedError extends HttpError {
}
exports.UnauthorizedError = UnauthorizedError;
class NotFoundError extends HttpError {
}
exports.NotFoundError = NotFoundError;
class ForbiddenError extends HttpError {
}
exports.ForbiddenError = ForbiddenError;
class NotAcceptableError extends HttpError {
}
exports.NotAcceptableError = NotAcceptableError;
class RequestTimeoutError extends HttpError {
}
exports.RequestTimeoutError = RequestTimeoutError;
class ConflictError extends HttpError {
}
exports.ConflictError = ConflictError;
class GoneError extends HttpError {
}
exports.GoneError = GoneError;
class PayloadTooLargeError extends HttpError {
}
exports.PayloadTooLargeError = PayloadTooLargeError;
class UnsupportedMediaTypeError extends HttpError {
}
exports.UnsupportedMediaTypeError = UnsupportedMediaTypeError;
class UnprocessableError extends HttpError {
}
exports.UnprocessableError = UnprocessableError;
class InternalServerErrorError extends HttpError {
}
exports.InternalServerErrorError = InternalServerErrorError;
class NotImplementedError extends HttpError {
}
class BadGatewayError extends HttpError {
}
exports.BadGatewayError = BadGatewayError;
class ServiceUnavailableError extends HttpError {
}
exports.ServiceUnavailableError = ServiceUnavailableError;
class GatewayTimeoutError extends HttpError {
}
exports.GatewayTimeoutError = GatewayTimeoutError;
exports.http = {
    BadRequestError,
    UnauthorizedError,
    NotFoundError,
    ForbiddenError,
    NotAcceptableError,
    RequestTimeoutError,
    ConflictError,
    GoneError,
    PayloadTooLargeError,
    UnsupportedMediaTypeError,
    UnprocessableError,
    InternalServerErrorError,
    NotImplementedError,
    BadGatewayError,
    ServiceUnavailableError,
    GatewayTimeoutError,
};
//# sourceMappingURL=http.js.map